package com.schisandra.oss.infra.basic.service;

import com.schisandra.oss.infra.basic.entity.SchisandraOssHuawei;

/**
 * 华为云对象存储配置表 表服务接口
 *
 * @author landaiqing
 * @since 2024-06-02 21:59:56
 */
public interface SchisandraOssHuaweiService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    SchisandraOssHuawei queryById(Long id);

    /**
     * 新增数据
     *
     * @param schisandraOssHuawei 实例对象
     * @return 实例对象
     */
    int insert(SchisandraOssHuawei schisandraOssHuawei);

    /**
     * 修改数据
     *
     * @param schisandraOssHuawei 实例对象
     * @return 实例对象
     */
    int update(SchisandraOssHuawei schisandraOssHuawei);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);


}
